Skip to main content
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
team-member
curl -X POST "https://server.smartlead.ai/api/v1/campaigns/123/team-member?api_key=YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"teamMemberId": 456}'
{
  "success": true,
  "message": "Team member updated"
}
Assign campaign ownership to specific team members for accountability and workload distribution.

Path Parameters

campaign_id
number
required
Campaign ID

Query Parameters

api_key
string
required
Your SmartLead API key

Request Body

teamMemberId
number
Team member ID to assign (use null to unassign)
curl -X POST "https://server.smartlead.ai/api/v1/campaigns/123/team-member?api_key=YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"teamMemberId": 456}'

Response Example

{
  "success": true,
  "message": "Team member updated"
}